[users] Videolan client broken on RHEL4 ?

Dag Wieers dag at wieers.com
Wed Jan 17 12:43:13 CET 2007


On Mon, 11 Dec 2006, Dag Wieers wrote:

> On Sun, 10 Dec 2006, Tomi Manninen wrote:
> 
> > I recently tried to install videolan-client on a box running
> > Red Hat Enterprice Linux 4. I used the package from rpmforge:
> > 
> > 
> > http://apt.sw.be/redhat/el4/en/i386/RPMS.dag/videolan-client-0.8.4a-4.el4.rf.i386.rpm
> > 
> > However, starting the program with "vlc" gives me an almost
> > non-operational skinned GUI (OSX lookalike I think) that
> > does "nothing". Right clicking on the gui only produces an 
> > error in the shell output saying something about not being
> > able to create the menu and suggesting to install the
> > wxWidgets plugin (I'm sorry about the vague report, I'm
> > not at the box right now and the box in question does not
> > even have network connectivity...)
> > 
> > Anyway, trying to look at the problem, it seems to me that
> > the package has been compiled without wxWidgets support.
> > It does not have libwxwidgets_plugin.so nor the wxvlc
> > binary like my home box (with FC5).
> > 
> > Could someone please check if the videolan-client package
> > works on RHEL4 or if it really is broken like I think it is.
> > And more importantly, if it's broken, fix it...?
> > 
> > I would try to rebuild the package myself but like I said
> > the box does not (and can not) have network connectivity
> > and thus getting all the devel stuff needed to rebuild
> > is going to be a pain. 
> > 
> > And of course I'm in a bit of a hurry too, so please help!
> 
> Feel free to tell us how to build vlc 0.8.5 on EL4, or make vlc 0.8.4a 
> build using wxwidgets. It would save me a lot of work, I have already 
> spend too much time finding a solution.

I haven't found out why vlc doesn't build against wxGTK 2.4 (according to 
the buildsystem it should work), but I managed to make wxGTK 2.6 packages 
that vlc picks up correctly.

Sadly they only build for RHEL4, FC3, FC2 and FC1. So that means no 
working vlc yet for RHEL3 or lower.

Enjoy :)
--   dag wieers,  dag at wieers.com,  http://dag.wieers.com/   --
[all I want is a warm bed and a kind word and unlimited power]



More information about the users mailing list